Summary: Library for processing UTF-8 encoded unicode strings
Name: utf8proc
Version: 1.1.2
Release: 1
License: BSD
Group: Development/Libraries
URL: http://www.flexiguided.de/publications.utf8proc.en.html
Packager: Michael Perzl <michael@perzl.org>
Source0: http://www.flexiguided.de/pub/%{name}-v%{version}.tar.gz
Patch0: %{name}-v%{version}-aix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

%description
utf8proc is a library for processing UTF-8 encoded Unicode strings. Some 
features are Unicode normalization, stripping of default ignorable 
characters, case folding and detection of grapheme cluster boundaries.

The library is available as 32-bit and 64-bit.


%package devel
Summary: Header files, libraries and development documentation for %{name}.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

If you are compiling a 32-bit program, no special compiler options are
needed.

If you are compiling a 64-bit program, you have to compile and link your
application with "xlc -q64" or "gcc -maix64".


%prep
%setup -n utf8proc
%patch0


%build
# first build the 64-bit version
export OBJECT_MODE=64
make

CreateExportList -X64 %{name}.exp lib%{name}.a
${CC} -qmkshrobj lib%{name}.a -o shr64.o -bE:%{name}.exp
rm -f %{name}.exp lib%{name}.a

make clean

# now build the 32-bit version
export OBJECT_MODE=32
make

CreateExportList -X32 %{name}.exp lib%{name}.a
${CC} -qmkshrobj lib%{name}.a -o shr.o -bE:%{name}.exp
rm -f %{name}.exp lib%{name}.a

ar -X32 -rv lib%{name}.a shr.o
# add the 64-bit shared objects to the shared library containing already the
# 32-bit shared object
ar -X64 -q lib%{name}.a ./shr64.o


%install
mkdir -p ${RPM_BUILD_ROOT}%{_includedir}
mkdir -p ${RPM_BUILD_ROOT}%{_libdir}

cp lib%{name}.a ${RPM_BUILD_ROOT}%{_libdir}
chmod 0644 ${RPM_BUILD_ROOT}%{_libdir}/*

cp %{name}.h ${RPM_BUILD_ROOT}%{_includedir}
chmod 0644 ${RPM_BUILD_ROOT}%{_includedir}/*

(
  cd ${RPM_BUILD_ROOT}
  for dir in include lib
  do
    mkdir -p usr/${dir}
    cd usr/${dir}
    ln -sf ../..%{_prefix}/${dir}/* .
    cd -
  done
)


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc Changelog lump.txt LICENSE README
%{_libdir}/*.a
/usr/lib/*.a


%files devel
%{_includedir}/*
/usr/include/*


%changelog
* Fri Jul 04 2008 Michael Perzl <michael@perzl.org> - 1.1.2-1
- first version for AIX V5.1 and higher
